function f(Z)


figsize=1; 
figborder=0.02; 

nodesize=15; 
nodecolor='k'; 
edgewidth=0.5; 

fontsize=8; 
xoffset=0.02; 
yoffset=0.01;



hold on;  grid on; 
axis equal;  %axis off;
axis([-figsize-figborder figsize+figborder -figsize-figborder figsize+figborder]);
set(gca,'xtick',[-1.0:.2:1.0]); set(gca,'ytick',[-1.0:.2:1.0]);


%UNIT CIRCLE
theta = (0:1024)/1024*2*pi; x1 = cos(theta); y1 = sin(theta); 
plot(x1,y1,'-k','linewidth',edgewidth);

%X,Y AXES
plot([-figsize,figsize],[0,0],'-k','linewidth',edgewidth);  %x
plot([0,0],[-figsize,figsize],'-k','linewidth',edgewidth);  %y


plot(real(Z),imag(Z),'.','Color',nodecolor,'MarkerSize',nodesize);

for i=1:length(Z),
     set(text(real(Z(i))+xoffset, imag(Z(i))+yoffset, num2str(i)),'FontSize',fontsize);
end
